# Chaos Tricks Twitch Integration
![chaostricks header](https://chaostricks.com/img/panels/valheim.jpg)
## DESCRIPTION
**Сhaos Tricks** (*Interactive mod for Valheim*) - It's a PC App & Twitch extension for interactive streaming. Streamers play in Valheim and confront the viewers watching the stream in real-time! More than 45+ unique events can cause your viewers to donate Bits: different kinds of items, environment changes, buffs or debuffs, various helpers and enemies from small to massive sizes! Streamer gets Twitch Bits for each event and unique content highlights, the viewer gets positive emotions and the opportunity to challenge the streamer personally. It's a much more exciting and fun way to support streamers. Also, the interactive mod supports English, Spanish and German languages.

## ATTENTION
- The interactive mod works only with the [Chaos Tricks PC App](https://chaostricks.com/files/chaostricks.zip).
- Available for streamers with "**Twitch Affiliate**" status and above, who are allowed to get Twitch Bits.

## FEATURES
### *For streamer*
- Additional way to support the channel
- Price setting or presets for small/medium/large channels
- Gameplay engagement for the viewers
- New followers and subscribers thanks to unique content
- New playthrough format for loved games

### *For viewers*
- Simple interface to interact with a streamer
- 45+ instant events for spawn during the live stream
- Events-alerts with TTS and visual in-game alerts
- Donator names at spawns
- Opportunity to help or ruin the streamers gameplay
- Additional way to support favorite streamers

## INSTALLATION
1. **If you use Mod Manager then click the "Install with Mod Manager" button
For manual installation, click the "Manual Download" button and download the mod. Open the downloaded archive and copy the "plugins" folder into the "BepInEx" folder, which is located in game root folder.**
2. **Install Chaos Tricks PC application**
   - Download the application [here](https://chaostricks.com/files/chaostricks.zip) and unpack the contents of the archive into a program working directory
   - Execute the **BitsForTricks.exe** application file
   - Navigate to the "**Settings**" tab in the application and click the "**Cogwheel**" icon. Click the "**Authorize**" button and follow the instructions
   - Then you have finished authorization the status label will be changed to "**completed**" and the application will start to connect to a server
   - Now the application is ready to get events from the **Twitch extension**
3. **In the Chaos Tricks PC app select Valheim from the list of games. Select the game version "Valheim BepInEx" and click the "Start" button**

## SUPPORT
**If you have any issues during the mod installation process, please, let us know by [Discord](https://discord.gg/8k2KpHb)**

## MOD DEMONSTRATION
[![Chaos Tricks Youtube Demo](https://chaostricks.com/img/panels/valheim_vid_prw.jpg)](https://youtu.be/NHp0BEdGU6Q)

[Funny moments with Chaos Tricks mod](https://www.tiktok.com/@chaostricksapp)

## SCREENSHOTS
![Twitch Extension Screenshot](https://chaostricks.com/img/screenshots/valheim/02-meteor.jpg)

![Twitch Extension Screenshot](https://chaostricks.com/img/screenshots/valheim/03-roots.jpg)

![Twitch Extension Screenshot](https://chaostricks.com/img/screenshots/valheim/04-undeads.jpg)

![PC App Screenshot](https://chaostricks.com/img/screenshots/valheim/01-pc-app.jpg)